IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ADAPTSCOPE') 
 CREATE TABLE T_EB_ADAPTSCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_FIXEDVALUE') 
 CREATE TABLE T_EB_FIXEDVALUE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FBIZMODEL BIGINT DEFAULT 0 NOT NULL,
FFIXEDTYPE CHAR(1) DEFAULT '1' NOT NULL,
FACCOUNTJSON NCLOB,
FSEQ INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_FIXEDVALUESETTING') 
 CREATE TABLE T_EB_FIXEDVALUESETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGJSON NCLOB,
FDIMJSON1 NCLOB,
FDIMJSON2 NCLOB,
FDIMJSON3 NCLOB,
FDIMJSON4 NCLOB,
FDIMJSON5 NCLOB,
FDIMJSON6 NCLOB,
FDIMJSON7 NCLOB,
FDIMJSON8 NCLOB,
FDIMJSON9 NCLOB,
FFIXEDVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);